UiPath Documentation
automation-cloud
latest
false
UiPath logo, featuring letters U and I in white

Automation Cloud API 指南

上次更新日期 2026年4月20日

向组分配许可证

作为组织管理员,请使用此端点向组分配许可证。 为此,您需要创建一个名为PM.License.Write作用域的外部应用程序。

API 端点

PUT {accessURL}/{organizationName}/lease_/api/account/{accountId}/user-license/group/{groupId}

将所有端点路径中的{accessURL}替换为您的云平台的基本 URL:

Cloud Platform访问 URL
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud 公共部门https://govcloud.uipath.us/
Automation Cloud 专用https://{customURL}.dedicated.uipath.com/

请求标头

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:

要获取{access_token} ,请确保通过此处描述的 ROPC 方法进行身份验证。

路径参数

路径参数数据类型描述
accountId (必填)字符串租户所在组织的 ID。
groupId (必填)字符串要向其分配许可证的组的 ID。您可以通过执行以下步骤来检索此 ID。

请求正文

请求正文包含各种产品的许可证代码数组及其相应的数量。

{
    "userBundleCodes": ["string"]
}
{
    "userBundleCodes": ["string"]
}
备注:
  • 要查看可在请求正文中使用的捆绑包代码,请查看用户许可证代码
  • 您可以分配与组织购买的许可证一样多的许可证。

响应

200 OK

返回已分配的组许可证。

404

未为指定组织分配帐户许可证。

请求示例

假设您收集了构建 API 调用所需的所有信息。

  • 您的{baseURL}为: https://cloud.uipath.com/{organizationName}
  • 您的 {access_token} 为:1234(出于长度考虑)。
  • 需要分配许可证的租户 {accountId} 为: song-one
  • {groupId} 为:group-01
  • 您需要按如下方式向组分配用户许可证:

调用应类似于以下示例 (cURL):

curl --location --request POST 'https://https://cloud.uipath.com/{organizationName}/lease_/api/account/1234/user-license/group/group-01' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "userBundleCodes": ["RPADEVPRONU", "IDU", "CTZDEVCU"], 
    "useExternalLicense": false
}'
curl --location --request POST 'https://https://cloud.uipath.com/{organizationName}/lease_/api/account/1234/user-license/group/group-01' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "userBundleCodes": ["RPADEVPRONU", "IDU", "CTZDEVCU"], 
    "useExternalLicense": false
}'

以下是成功分配许可证的响应正文:

{
  "groupId": "string",
  "organizationId": "string",
  "useExternalLicense": false,
  "userBundleCodes": [
    "string"
  ]
}
{
  "groupId": "string",
  "organizationId": "string",
  "useExternalLicense": false,
  "userBundleCodes": [
    "string"
  ]
}
  • API 端点
  • 请求标头
  • 路径参数
  • 请求正文
  • 响应
  • 200 OK
  • 404
  • 请求示例

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新